<!--Table here-->
<div class="containerAddButton">
  <button
    *ngIf="this.user.isAdmin"
    type="button"
    class="btn addButton"
    data-toggle="modal"
    (click)="resetAddModal();showAddModal();myModal.show()"
  >
    Ajouter une version
  </button>
</div>
<div class="card">
  <div class="card-body">
    <div class="loadingTableContainer" *ngIf="isLoading || dataNotFound">
      <div class="loadingTable">
        <div class="dataNotFound" *ngIf="isLoading">
          <div style="opacity: 0.7; color: black">Chargement ...</div>
          <img
            src="assets/img/gif/cloud.gif"
            alt="this scope moves"
            width="70"
          />
        </div>
        <div class="dataNotFound" *ngIf="dataNotFound">
          <div style="color: black">Aucune donnée trouvée !</div>
          <img
            src="assets/img/gif/zoom.gif"
            alt="this scope moves"
            width="50"
          />
        </div>
      </div>
    </div>
    <table class="table table-striped">
      <thead style="z-index: 88" class="tableHead">
      <tr class="table-sm cc">
        <th style=" min-width: 60px">
          ID
          <input
            *ngIf="filterId"
            class="inputFilter"
            style="width: 50px"
            type="text"
            [(ngModel)]="filters[0]['id']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterId = !filterId"
          ></i>
        </th>
        <th>
          Nom
          <input
            *ngIf="filterNom"
            class="inputFilter"
            type="text"
            [(ngModel)]="filters[3]['name']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterNom = !filterNom"
          ></i>
        </th>
        <th>
          Nombre d'élément
          <input
            *ngIf="filterElementNumber"
            class="inputFilter"
            type="text"
            [(ngModel)]="filters[5]['element_number[gte]']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterElementNumber = !filterElementNumber"
          ></i>
        </th>
        <th>
          amovible
          <div *ngIf="filterRemovable" class="col-form-label inputFilterRem">
            <div class="form-check">
              <input
                class="form-check-input"
                type="radio"
                name="radiosRem"
                id="radioRem1"
                value=""
                [(ngModel)]="filters[7]['removable']"
                (change)="getSites(1)"
                checked=""
              />
              <label for="radioRem1" class="form-check-label"> ALL </label>
            </div>
            <div class="form-check">
              <input
                class="form-check-input"
                type="radio"
                name="radiosRem"
                id="radioRem2"
                value="oui"
                [(ngModel)]="filters[7]['removable']"
                (change)="getSites(1)"
              />
              <label for="radioRem2" class="form-check-label"> Oui </label>
            </div>
            <div class="form-check">
              <input
                class="form-check-input"
                type="radio"
                name="radiosRem"
                id="radioRem3"
                value="non"
                [(ngModel)]="filters[7]['removable']"
                (change)="getSites(1)"
              />
              <label for="radioRem3" class="form-check-label"> Non </label>
            </div>
            <div class="form-check">
              <input
                class="form-check-input"
                type="radio"
                name="radiosRem"
                id="radioRem4"
                value="partial"
                [(ngModel)]="filters[7]['removable']"
                (change)="getSites(1)"
              />
              <label for="radioRem4" class="form-check-label"> Partial </label>
            </div>
          </div>
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterRemovable = !filterRemovable"
          ></i>
        </th>
        <th>
          x3Référence
          <input
            *ngIf="filterRef"
            class="inputFilter"
            type="text"
            [(ngModel)]="filters[6]['x3_reference']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterRef = !filterRef"
          ></i>
        </th>
        <th>
          Gamme
          <input
            *ngIf="filterRange"
            class="inputFilter"
            type="text"
            [(ngModel)]="filters[8]['range_id']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterRange = !filterRange"
          ></i>
        </th>
        <th *ngIf="this.user.isAdmin" style="width: 100px; min-width: 80px">
          Actif
          <div *ngIf="filterActif" class="col-form-label inputFilterActif">
            <div class="form-check">
              <input
                class="form-check-input"
                type="radio"
                name="radios"
                id="radio1"
                value=""
                [(ngModel)]="filters[4]['is_active']"
                (change)="getSites(1)"
                checked=""
              />
              <label for="radio1" class="form-check-label"> ALL </label>
            </div>
            <div class="form-check">
              <input
                class="form-check-input"
                type="radio"
                name="radios"
                id="radio2"
                value="true"
                [(ngModel)]="filters[4]['is_active']"
                (change)="getSites(1)"
              />
              <label for="radio2" class="form-check-label"> Active </label>
            </div>
            <div class="form-check">
              <input
                class="form-check-input"
                type="radio"
                name="radios"
                id="radio3"
                value="false"
                [(ngModel)]="filters[4]['is_active']"
                (change)="getSites(1)"
              />
              <label for="radio3" class="form-check-label"> Inactive </label>
            </div>
          </div>
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterActif = !filterActif"
          ></i>
        </th>
        <th *ngIf="this.user.isAdmin" style="width: 80px; padding: 15px 0px">
          Actions
        </th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let siteType of versions">
        <td>{{ siteType.id }}</td>
        <td>{{ siteType.name }}</td>
        <td>{{ siteType.element_number }}</td>
        <td>{{ siteType.removable }}</td>
        <td>{{ siteType.x3_reference }}</td>
        <td>{{ siteType.range_id.name }}</td>
        <td *ngIf="this.user.isAdmin">
          <label class="switch switch-label switch-pill switch-success">
            <input
              type="checkbox"
              [(ngModel)]="siteType.is_active"
              (click)="changeStatut(siteType.id, siteType.is_active)"
              class="switch-input"
            />
            <span
              data-checked="✓"
              data-unchecked="✕"
              class="switch-slider"
            ></span>
          </label>
        </td>
        <td style="z-index: 2222" *ngIf="this.user.isAdmin">
          <div class="editIcon">
            <i
              class="icon-note icons font-2xl"
              (click)="showUpdateModal(siteType); myUpdateModal.show()"
            ></i>
          </div>
        </td>
      </tr>
      </tbody>
    </table>
  </div>
  <div class="count">
    <div>Résultats {{ versions.length }} (filtrés parmi {{ totalCount }})</div>
  </div>
</div>
<!--Pagination here-->
<div class="pages" *ngIf="totalCount > 10">
  <ul class="pagination">
    <li class="page-item" (click)="getSites(pagination.first)">
      <a class="page-link"><i class="fa fa-angle-double-left fa-lg"></i></a>
    </li>

    <li class="page-item" (click)="getSites(pagination.prev)">
      <a class="page-link" *ngIf="pagination.first < pagination.current"
      ><i class="fa fa-angle-left fa-lg"></i
      ></a>
    </li>
    <li class="page-item" (click)="getSites(pagination.prev - 1)">
      <a class="page-link" *ngIf="pagination.first < pagination.prev">..</a>
    </li>
    <li class="page-item" (click)="getSites(pagination.prev)">
      <a class="page-link" *ngIf="pagination.prev < pagination.current">{{
        pagination.prev
        }}</a>
    </li>
    <li class="page-item active" (click)="getSites(pagination.current)">
      <a class="page-link">{{ pagination.current }}</a>
    </li>
    <li class="page-item" (click)="getSites(pagination.next)">
      <a class="page-link" *ngIf="pagination.next > pagination.current">{{
        pagination.next
        }}</a>
    </li>
    <li class="page-item">
      <a
        class="page-link"
        (click)="getSites(pagination.next + 1)"
        *ngIf="pagination.next < pagination.last"
      >..</a
      >
    </li>
    <li class="page-item" (click)="getSites(pagination.next)">
      <a class="page-link" *ngIf="pagination.current != pagination.last"
      ><i class="fa fa-angle-right fa-lg"></i
      ></a>
    </li>
    <li class="page-item" (click)="getSites(pagination.last)">
      <a class="page-link"><i class="fa fa-angle-double-right fa-lg"></i></a>
    </li>
  </ul>
</div>
<!--Add window-->
<div
  bsModal
  #myModal="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Ajouter une version</h4>
        <button
          type="button"
          class="close"
          (click)="myModal.hide(); addForm=myForm;resetAddModal();"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div role="alert" class="alert alert-success" *ngIf="successAddSiteType">
        Un nouveau type de site est ajouté <strong>avec succès.</strong>
      </div>
      <div role="alert" class="alert alert-danger" *ngIf="errorAddSiteType">
        <strong>Oops! </strong> Modifiez quelques éléments et essayez de
        soumettre de nouveau !
      </div>
      <form #myForm="ngForm">
        <div class="modal-body">
          <div class="form-group custom-col">
            <label>Nom</label>
            <input
              (blur)="uniquenessCheck()"
              type="text"
              placeholder="Nom de type.."
              class="form-control"
              [(ngModel)]="newtSiteType.name"
              style="color: black"
              [ngStyle]="inputStyle"
              [class.is-valid]="name.valid && !entityExist"
              [class.is-invalid]="!name.valid && name.touched || entityExist"
              name="name"
              required
              #name="ngModel"
            />
            <span *ngIf="entityExist && newtSiteType.name.length > 0">
            * Ce nom existe déjà !
          </span>
            <span *ngIf="!name.valid && name.touched">
            <div *ngIf="name.errors.required"> * Ce champ est obligatoire ! </div>
          </span>
          </div>
          <div class="form-group custom-col">
            <label>Nombre d'élément</label>
            <input
              type="number"
              placeholder="Nom de type.."
              class="form-control"
              [(ngModel)]="newtSiteType.elementNumber"
              style="color: black"
              name="country"
              required
              min="0"
              #country="ngModel"
            />
            <span *ngIf="!country.valid && country.touched">
            <div *ngIf="country.errors.required"> * Ce champ est obligatoire ! </div>
          </span>
          </div>
          <div class="form-group custom-col">
            <label>x3Référence</label>
            <input
              type="text"
              placeholder="Nom de type.."
              class="form-control"
              [(ngModel)]="newtSiteType.x3Reference"
              style="color: black"
              name="hutttosoftUsername"
              required
              #hutttosoftUsername="ngModel"
            />
            <span *ngIf="!hutttosoftUsername.valid && hutttosoftUsername.touched">
            <div *ngIf="hutttosoftUsername.errors.required"> * Ce champ est obligatoire ! </div>
          </span>
          </div>
          <div class="form-group custom-col">
            <label>Amovible</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.removable"
              name="x3Reference"
              required
              #x3Reference="ngModel"
            >
              <option selected value="">
                Amovible
              </option>
              <option selected value="oui">
                Oui
              </option>
              <option selected value="non">
                Non
              </option>
              <option selected value="partial">
                partial
              </option>
            </select>
            <span *ngIf="!x3Reference.valid && x3Reference.touched">
            <div *ngIf="x3Reference.errors.required"> * Ce champ est obligatoire ! </div>
          </span>
          </div>
          <div class="form-group custom-col">
            <label>Gamme</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.rangeId"
              name="siteType"
              required
              #siteType="ngModel"
            >
              <option selected value="">
                Choisir une gamme
              </option>
              <option
                *ngFor="let rentalType of siteTypes"
                [ngValue]="rentalType['@id']"
              >
                {{ rentalType["name"] }}
              </option>
            </select>
            <span *ngIf="!siteType.valid && siteType.touched">
            <div *ngIf="siteType.errors.required"> * Veuillez sélectionner une option pour continuer </div>
          </span>
          </div>
          <div class="selectActif">
            <label>Actif</label>
            <label class="switch switch-label switch-pill switch-success">
              <input
                type="checkbox"
                [(ngModel)]="newtSiteType.isActive"
                class="switch-input"
                name="isActive"
              />
              <span
                data-checked="✓"
                data-unchecked="✕"
                class="switch-slider"
              ></span>
            </label>
          </div>
        </div>
        <div class="modal-footer">
          <button
            type="button"
            class="btn btn-secondary"
            (click)="myModal.hide(); resetAddModal()"
          >
            Annuler
          </button>
          <button
            [disabled]="myForm.form.invalid || entityExist"
            type="button"
            class="btn addButton"
            (click)=" addForm=myForm;addNewSiteType()"
          >
            Ajouter
          </button>
        </div>
      </form>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

<!--Modification window-->
<div
  bsModal
  #myUpdateModal="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Modifier cette version</h4>
        <button
          type="button"
          class="close"
          (click)="myUpdateModal.hide();addForm=myUpdateForm; resetAddModal()"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <!--Alert messages here-->
      <div
        class="alert alert-success alert-dismissible fade show"
        role="alert"
        style="
          max-width: 95%;
          margin-left: 10px;
          margin-top: 10px;
          margin-bottom: -8px;
        "
        *ngIf="successModifySiteType"
      >
        Les modifications ont été opérées avec<strong> succès !</strong>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>

      <div
        class="alert alert-danger alert-dismissible fade show"
        role="alert"
        style="
          max-width: 95%;
          margin-left: 10px;
          margin-top: 10px;
          margin-bottom: -8px;
        "
        *ngIf="failModifySiteType"
      >
        <strong>Attention </strong> Ce nom existe déjà !
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>
      <form #myUpdateForm="ngForm">
        <div class="modal-body">
          <div class="form-group custom-col">
            <label>Nom</label>
            <input
              type="text"
              placeholder="Nom de type.."
              class="form-control"
              [(ngModel)]="newtSiteType.name"
              style="color: black"
              name="name"
              required
              #nameUp="ngModel"
            />
            <span *ngIf="entityExist && newtSiteType.name.length > 0">
            * Ce nom existe déjà !
          </span>
            <span *ngIf="!nameUp.valid && nameUp.touched">
            <div *ngIf="nameUp.errors.required"> * Ce champ est obligatoire ! </div>
          </span>
          </div>
          <div class="form-group custom-col">
            <label>Nombre d'élément</label>
            <input
              type="number"
              placeholder="Nom de type.."
              class="form-control"
              [(ngModel)]="newtSiteType.elementNumber"
              style="color: black"
              name="country"
              required
              min="0"
              #countryUp="ngModel"
            />
            <span *ngIf="!countryUp.valid && countryUp.touched">
            <div *ngIf="countryUp.errors.required"> * Ce champ est obligatoire ! </div>
          </span>
          </div>
            <div class="form-group custom-col">
              <label>Amovible</label>
              <select
                style="color: black"
                class="form-control"
                [(ngModel)]="newtSiteType.removable"
                name="x3ReferenceUp"
                required
                #x3ReferenceUp="ngModel"
              >
                <option selected value="">
                  Amovible
                </option>
                <option selected value="oui">
                  Oui
                </option>
                <option selected value="non">
                  Non
                </option>
                <option selected value="partial">
                  partial
                </option>
              </select>
            <span *ngIf="!x3ReferenceUp.valid && x3ReferenceUp.touched">
            <div *ngIf="x3ReferenceUp.errors.required"> * Ce champ est obligatoire ! </div>
          </span>
          </div>
          <div class="form-group custom-col">
            <label>x3Référence</label>
            <input
              type="text"
              placeholder="Nom de type.."
              class="form-control"
              [(ngModel)]="newtSiteType.x3Reference"
              style="color: black"
              name="hutttosoftUsername"
              required
              #hutttosoftUsernameUp="ngModel"
            />
            <span *ngIf="!hutttosoftUsernameUp.valid && hutttosoftUsernameUp.touched">
            <div *ngIf="hutttosoftUsernameUp.errors.required"> * Ce champ est obligatoire ! </div>
          </span>
          </div>
          <div class="form-group custom-col">
            <label>Gamme</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.rangeId"
              name="siteType"
              required
              #siteTypeUp="ngModel"
            >
              <option selected value="">
                Choisir une gamme
              </option>
              <option
                *ngFor="let rentalType of siteTypes"
                [ngValue]="rentalType['@id']"
              >
                {{ rentalType["name"] }}
              </option>
            </select>
            <span *ngIf="!siteTypeUp.valid && siteTypeUp.touched">
            <div *ngIf="siteTypeUp.errors.required"> * Veuillez sélectionner une option pour continuer </div>
          </span>
          </div>
          <div class="selectActif">
            <label>Actif</label>
            <label class="switch switch-label switch-pill switch-success">
              <input
                type="checkbox"
                [(ngModel)]="newtSiteType.isActive"
                class="switch-input"
                name="isActive"
              />
              <span
                data-checked="✓"
                data-unchecked="✕"
                class="switch-slider"
              ></span>
            </label>
          </div>
        </div>
        <div class="modal-footer">
          <button
            type="button"
            class="btn btn-secondary"
            (click)="myUpdateModal.hide()"
          >
            Annuler
          </button>
          <button
            [disabled]="myUpdateForm.form.invalid"
            type="button"
            class="btn addButton" (click)="addForm=myUpdateForm;putSiteType()">
            Enregistrer
          </button>
        </div>
      </form>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

